uuid-1.3.11: For creating, comparing, parsing and printing Universally Unique Identifiers

Safe Haskell | None
Language | Haskell98

Data.UUID.Util

# Documentation

data UnpackedUUID :: *

Constructors

UnpackedUUID |

Fields

time_low :: Word32
time_mid :: Word16
time_hi_and_version :: Word16
clock_seq_hi_res :: Word8
clock_seq_low :: Word8
node_0 :: Word8
node_1 :: Word8
node_2 :: Word8
node_3 :: Word8
node_4 :: Word8
node_5 :: Word8

Instances

Eq UnpackedUUID |
Ord UnpackedUUID |
Read UnpackedUUID |
Show UnpackedUUID |

unpack :: UUID -> UnpackedUUID

pack :: UnpackedUUID -> UUID

version :: UUID -> Int Source

extractMac :: UUID -> Maybe MAC Source

extractTime :: UUID -> Maybe Int64 Source

setTime :: (Integral a, Bits a) => UUID -> a -> Maybe UUID Source